Bug 1929231 - F34FailsToInstall: cutter-re
Summary: F34FailsToInstall: cutter-re
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cutter-re
Version: 34
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1945159
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-02-16 14:15 UTC by Miro Hrončok
Modified: 2021-05-04 15:14 UTC (History)
8 users (show)

Fixed In Version: cutter-re-2.0.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-05 00:17:59 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-02-16 14:15:59 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (cutter-re) Fails To Install in Fedora 34:

can't install cutter-re:
  - nothing provides libr_anal.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_asm.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_bin.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_bp.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_config.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_cons.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_core.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_crypto.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_debug.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_egg.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_flag.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_fs.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_hash.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_io.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_parse.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_reg.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_search.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_syscall.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  - nothing provides libr_util.so.4.5.0()(64bit) needed by cutter-re-1.11.0-3.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Zbigniew Jędrzejewski-Szmek 2021-02-20 14:25:12 UTC
It's causing upgrade issue now.

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-02-20 14:26:20 UTC
A straightforward rebuild doesn't work. Maybe the new version will help.

Comment 4 Mamoru TASAKA 2021-02-20 15:32:32 UTC
Unfortunately, (while I don't know about this package at all), it seems that cutter.re used to depend on radare2 4.5.0, but later "rizin" project had forked from radare2 project, and it seems the newest currer.re decided to use rizin:

https://github.com/rizinorg/cutter/commit/2b8ac6ecf7327e1c13fb6f5d2c3c82bced96cfea

So the situation seems non-easy.

Comment 5 Henrik Nordström 2021-02-22 01:44:15 UTC
Yes it is a project fork mess.

Cutter split from Radare2 and forked Radare2 into Rizin. But Rizin is not packaged in Fedora. So current official Cutter releases can not be built in Fedora.

The Radare project have also forked Cutter as R2Cutter to work with Radare2.

The radare2 package was recently updated to a current release, which breaks Cutter.

Comment 7 Miro Hrončok 2021-02-23 20:05:43 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 8 Hans Ulrich Niedermann 2021-02-24 10:39:22 UTC
So there appear to be two diverging forks consisting of two components each:

  * cutter (aka cutter-re) and rizin
  * radare2 and r2cutter

Why not package all of that and have users and time decide whether
one prevails or both continue on their own?

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-02-24 14:33:30 UTC
Ultimately it's up to the maintainers, but doing two packages is twice the work. And maintainers
often make choices what to support for users. After reading a bit more on the web, the rizin+cutter
versions seems more reasonable to follow, since more upstream maintainers went with that.

Comment 10 Miro Hrončok 2021-03-18 08:05:46 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 11 Mamoru TASAKA 2021-04-01 06:22:11 UTC
So, for now, this will be WONTFIX in favor of r2cutter? (And who can judge this?)

Comment 12 Riccardo Schirone 2021-04-01 06:39:23 UTC
(In reply to Mamoru TASAKA from comment #11)
> So, for now, this will be WONTFIX in favor of r2cutter? (And who can judge
> this?)

I've recently asked for inclusion of Rizin in Fedora in bug 1945159 . If that will be accepted, we should be able to keep cutter-re, update it to version 2.0 (which uses Rizin) and make it depend on rizin package. It should solve the problems both in F34 and in F33.

Comment 13 Michal Ambroz 2021-04-01 21:27:18 UTC
Tested proposed rizin package ... thanks Riccardo.
cutter-re seems to be on the good way for Fedora 34.

Comment 14 Fedora Update System 2021-04-02 16:47:37 UTC
FEDORA-2021-690ea694b9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-690ea694b9

Comment 15 Fedora Update System 2021-04-03 01:09:27 UTC
FEDORA-2021-690ea694b9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-690ea694b9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-690ea694b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-04-05 00:17:59 UTC
FEDORA-2021-690ea694b9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.